Skip to main content
POST
/
agents
/
{agent_id}
/
test-call
Trigger Test Call
curl --request POST \
  --url https://api.truedy.ai/api/public/v1/agents/{agent_id}/test-call \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "to": "+12125551234",
  "from_number": "+18005559876"
}
'
{
  "data": {
    "call_id": "call_a1b2c3d4",
    "status": "initiated",
    "to": "+12125551234",
    "agent_id": "agt_f9447372"
  },
  "meta": {
    "request_id": "req_32e7531c",
    "ts": "2026-04-05T10:22:00Z"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header: Bearer <your_api_key>

Path Parameters

agent_id
string
required

Agent ID

Body

application/json
to
string
required

Destination phone number in E.164 format

Example:

"+12125551234"

from_number
string | null

Caller ID (E.164). Must be a phone number you own in Truedy.

Example:

"+18005559876"

Response

Test call initiated